<?php

declare(strict_types=1);

namespace Magetop\Advancepreview\Model;

use Magento\Eav\Model\Entity\Attribute\Source\AbstractSource;

class Options extends AbstractSource
{
    /**
     * @return array
     */
    public function getAllOptions(): array
    {
        $this->_options = [
            ['label' => '', 'value' => ''],
            ['label' => __('Payment terms: to pay in advance with 2% discount (myfitmix GmbH, Commerzbank Mainz, Bank code: 550 400 22, Account Nr.: 2316420; BIC/Swift: COBADEFF550, IBAN DE02550400220231642000)'), 'value' => '0'],
            ['label' => __('Payment terms: 8 days ./. 2% discount, 30 days without discount (myfitmix GmbH, Commerzbank Mainz, Bank code: 550 400 22, Account Nr.: 2316420; BIC/Swift: COBADEFF550, IBAN DE02550400220231642000)'), 'value' => '1'],
            ['label' => __('Payment terms: under 10.000 Euro - 8 days ./. 2% discount, 30 days without discount; over 10.000 Euro - to pay 30% in advance with 2% discount (myfitmix GmbH, Commerzbank Mainz, Bank code: 550 400 22, Account Nr.: 2316420; BIC/Swift: COBADEFF550, IBAN DE02550400220231642000)'), 'value' => '2']
        ];
        return $this->_options;
    }
}
